import { type Registries } from '@pnpm/types';
import { type ReporterFunction } from '../types';
export interface StrictStoreStatusOptions {
    autoInstallPeers: boolean;
    excludeLinksFromLockfile: boolean;
    lockfileDir: string;
    dir: string;
    storeDir: string;
    force: boolean;
    nodeLinker: 'isolated' | 'hoisted' | 'pnp';
    useLockfile: boolean;
    registries: Registries;
    shamefullyHoist: boolean;
    reporter: ReporterFunction;
    production: boolean;
    development: boolean;
    optional: boolean;
    binsDir: string;
    virtualStoreDirMaxLength: number;
    peersSuffixMaxLength: number;
}
export type StoreStatusOptions = Partial<StrictStoreStatusOptions> & Pick<StrictStoreStatusOptions, 'storeDir' | 'virtualStoreDirMaxLength'>;
export declare function extendStoreStatusOptions(opts: StoreStatusOptions): Promise<StrictStoreStatusOptions>;
